version: '2'

volumes:
  db_data:
    driver_opts:
      onRemove: retain
    driver: rancher-nfs

services:

  jod:
    restart: always
    image: aureliopenha/sei-jod:1.0
    container_name: sei-jod
    dns: ${DNS}
    labels:
      io.rancher.scheduler.affinity:host_label: app=true

  smtp:
      restart: always
      image: aureliopenha/sei-mailcatcher:1.0
      container_name: sei-smtp
      dns: ${DNS}
      labels:
          io.rancher.scheduler.affinity:host_label: app=true

  memcached:
    restart: always
    dns: ${DNS}
    image: aureliopenha/sei-memcached:1.0
    container_name: sei-memcached
    labels:
      io.rancher.scheduler.affinity:host_label: app=true
  mysql:
    image: aureliopenha/sei-mysql:1.0
    container_name: mysql
    dns: ${DNS}
    labels:
      io.rancher.scheduler.affinity:host_label: app=true
    environment:
      - MYSQL_DATABASE=sei
      - MYSQL_ROOT_PASSWORD=${db_password}
      - SEI_DATABASE_USER=root
      - SEI_DATABASE_PASSWORD=${db_password}
      - SEI_HOST_URL=http://${domain_app}
      - SEI_ORGAO=${SEI_ORGAO}
      - SEI_DESCRICAO_ORGAO=${SEI_DESCRICAO_ORGAO}


    volumes:
      - db_data:/var/lib/mysql
      - ${BD_CAMINHO}:/tmp/banco/
    restart: always

  solr:
    restart: always
    image: aureliopenha/sei-solr:1.0
    container_name: solr
    dns: ${DNS}
    labels:
      io.rancher.scheduler.affinity:host_label: app=true


  http:
    image: aureliopenha/sei-httpd:1.1
    labels:
      io.rancher.scheduler.affinity:host_label: app=true
    container_name: httpd
    dns: ${DNS}
    restart: always
    volumes:
      - ${FILES_CAMINHO}:/var/sei/arquivos
    environment:
      - SEI_HOST_URL=http://${domain_app}
      - SEI_DATABASE_USER=root
      - SEI_DATABASE_PASSWORD=${db_password}
      - SEI_ORGAO=${SEI_ORGAO}
      - MUDA_CONF=${MUDA_CONF}
    links:
      - mysql:mysql
      - memcached:memcached
      - solr:solr
      - smtp:smtp
      - jod:jod
